//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef LOCATIONLIST_H
#define LOCATIONLIST_H

#include <list>
#include <paragui.h>
#include "ruin.h"
#include "temple.h"
#include "city.h"

template<class T> class ObjectList : public std::list<T>
{
	public:
		// CREATORS
		ObjectList();
		~ObjectList();

		// ACCESSORS
		T* get_object_at(int x, int y);
		T* get_object_at(const PG_Point& pos);
};

// the explicit instantiation is needed due to a bug i found
// in the gcc compiler... it goes back to 1997 and seems still
// not fixed!!! -fexternal-template is deprecated...

template class ObjectList<Ruin>;
template class ObjectList<Temple>;
template class ObjectList<City>;

#endif // LOCATIONLIST_H
