//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "armyset_army.h"
#include <iostream>
#include <assert.h>

Armyset_army::Armyset_army()
	:d_pixmap(0)
{
}

Armyset_army::Armyset_army(const Armyset_army& a)
	:d_name(a.d_name), d_pixmap(a.d_pixmap), d_production(a.d_production),
	d_production_cost(a.d_production_cost), d_upkeep(a.d_upkeep),
	d_max_strength(a.d_max_strength), d_defense(a.d_defense), d_max_hp(a.d_max_hp),
	d_max_moves(a.d_max_moves), d_vitality(a.d_vitality),
	d_move_bonus(a.d_move_bonus), d_army_bonus(a.d_army_bonus)
{
}

Armyset_army::~Armyset_army()
{
}

void Armyset_army::print_debug_info()
{
	std::cerr << "name = " << d_name << endl;
	std::cerr << "pixmap = " << d_pixmap << endl;
	std::cerr << "max_hp = " << d_max_hp << endl;
	std::cerr << "max_strength = " << d_max_strength << endl;
	std::cerr << "defense = " << d_defense << endl;
	std::cerr << "vitality = " << d_vitality << endl;
	std::cerr << "max_moves = " << d_max_moves << endl;
	std::cerr << "upkeep = " << d_upkeep << endl;
	std::cerr << "production = " << d_production << endl;
	std::cerr << "production_cost = " << d_production_cost << endl;
	std::cerr << "move_bonus = " << d_move_bonus << endl;
	std::cerr << "army_bonus = " << d_army_bonus << endl;
}

