//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef ARMYSETLIST_H
#define ARMYSETLIST_H

#include <string>
#include <map>

class Armyset;

// I'm not a professional in the STL, so if the current design doesn't please
// you, simply change it. As long as the interface stays the same, it won't hurt.

class Armysetlist : public std::map<std::string, Armyset*>
{
	public:
		Armysetlist();
		~Armysetlist();
		
		Armyset* get_armyset(std::string name);
		bool load_armyset(std::string name);	//return false if error occured
		bool erase_by_name(std::string name);
};

extern Armysetlist* armysetlist;

#endif // ARMYSETLIST_H

