//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "citylist.h"
#include "city.h"
#include "playerlist.h"

//#define debug(x) {cerr<<__FILE__<<": "<<__LINE__<<": "<<x<<endl;}
#define debug(x)

Citylist* citylist;
Ruinlist* ruinlist;
Templelist* templelist;

Citylist::Citylist()
{
}

Citylist::~Citylist()
{
}

// Number of cities for specific player
int Citylist::count_cities(Player* player) const
{
	int cities = 0;
	
	for (const_iterator it = begin(); it != end(); it++)
	{
		if ((*it).get_player() == player) cities++;
	}
	
	return cities;
}

void Citylist::nextTurn()
{
	debug("next_turn()");
	for (iterator it = begin(); it != end(); it++)
	{
		(*it).next_turn();
	}
}

City* Citylist::get_nearest_enemy_city(const PG_Point& pos) 
{
    int diff = 9999;
    Citylist::iterator diffit;
	for (Citylist::iterator it = begin(); it != end(); ++it)
	{
	    if ((*it).get_player() != playerlist->get_activeplayer())
	    {
    	    PG_Point p = (*it).get_pos();
    		int delta = abs(p.x - pos.x) + abs(p.y - pos.y);
    		
    		if (diff > delta)
            {
                diff = delta;
                diffit = it;
    		}
        }
	}
	return &(*diffit);
}
