//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef CITYLIST_H
#define CITYLIST_H

#include "ObjectList.h"
#include <paragui.h>

class City;
class Player;

class Citylist : public ObjectList<City>
{
	public:
		// CREATORS
		Citylist();
		~Citylist();

		// MANIPULATORS
		void nextTurn();

		// ACCESSORS
		int count_cities(Player* p) const;
		City* get_nearest_enemy_city(const PG_Point& pos);
};

typedef ObjectList<Ruin> Ruinlist;
typedef ObjectList<Temple> Templelist;

extern Citylist* citylist;
extern Ruinlist* ruinlist;
extern Templelist* templelist;

#endif // CITYLIST_H
