//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "file.h"
#include <pgfilearchive.h>

std::list<std::string> file::scanArmysets()
{
	std::list<std::string> mylist;
	// the given path here is relative not absolute...
	char** filelist = PG_FileArchive::EnumerateFiles("/pic/army/");
	for (int i = 0; filelist[i] != NULL; ++i)
	{
		// filter the CVS directory
		if (strcmp(filelist[i], "CVS"))
			mylist.push_back(filelist[i]);
	}

	return mylist;
}

std::string file::get_army_file (std::string armysetname)
{
	std::string s = "../pic/army/" + armysetname + "/default.xml";
	return s;
}

std::string file::get_army_pic (std::string armysetname, std::string picname)
{
	std::string s = "../pic/army/" + armysetname + "/" + picname;
	return s;
}

std::string file::get_mapset_file (std::string mapsetname)
{
	std::string s = "../pic/map/" + mapsetname + "/default";
	return s;
}

std::string file::get_mapset_pic (std::string mapsetname, std::string picname)
{
	std::string s = "../pic/map/" + mapsetname + "/" + picname;
	return s;
}

std::string file::get_misc_file (std::string filename)
{
	std::string s = "../dat/" + filename;
	return s;
}

std::string file::get_misc_pic (std::string picname)
{
	std::string s = "../pic/various/" + picname;
	return s;
}

