//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef FILE_H
#define FILE_H

#include <string>
#include <list>

// All file-related operations should eventually go through these functions.
// Although they are currently dummy functions, they can later easily be extented
// allowing a "make install", Windows port etc.

namespace file
{
	// get all armysets we can offer
	std::list<std::string> scanArmysets ();

	// load army file/pic
	std::string get_army_file(std::string armysetname);
	std::string get_army_pic(std::string armysetname, std::string picname);

	// load mapset file/pic
	std::string get_mapset_file(std::string mapsetname);
	std::string get_mapset_pic(std::string mapsetname, std::string picname);

	// load misc file/pic
	std::string get_misc_file(std::string filename);
	std::string get_misc_pic(std::string picname);
};

#endif //FILE_H
