// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef MAPDEF_H
#define MAPDEF_H

#include <stdlib.h>
#include "maptile.h"

class Mapdef
{
	public:
		Mapdef();
		~Mapdef();
		
		// Set methods
		void set_players(int the_players){players = the_players;}
		void set_name(std::string the_name){name = the_name;}
		void set_info(std::string the_info){info = the_info;}

		// Get methods
		int get_players(){return players;}
		std::string get_name(){return name;}
		std::string get_info(){return info;}

		// Methods
		void load_from_mapstring(std::string mapstring);
		void load(std::string filename);
		void load_mapset(std::string filename);
		std::string extract_mapset(std::string filename);
		void random();
		void smooth_all();
	
		// Data
		Maptile* map[100][100];

	private:
		// Methods
		bool already_used(int x, int y);
		void smooth(int x, int y);

		// Data
		std::string name;
		std::string info;
		int players;
};

extern Mapdef* mapdef;

#endif // MAPDEF_H
