//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef PLAYERLIST_H
#define PLAYERLIST_H

#include <list>
#include <string>
#include <pgmessageobject.h>
#include "player.h"

class Playerlist : public std::list<Player>, public PG_MessageObject
{
	public:
		// CREATORS
		Playerlist();
		~Playerlist();

		// MANIPULATORS
		void next_player();
		void check_players();
	        void player_status_changed();

		// ACCESSORS
		Player* get_activeplayer() const {return d_activeplayer;}
		Player* get_neutral() const {return d_neutral;}
		Player* get_by_name(std::string name);
		int get_nr_of_player(Player* p);

	private:
		// DATA
		Player* d_activeplayer;
		Player* d_neutral;
};

extern Playerlist* playerlist;

#endif // PLAYERLIST_H
