//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "ruin.h"
#include <stdlib.h>

Ruin::Ruin(PG_Point pos, std::string name, Stack* owner, bool searched)
	:Location(name, pos), d_searched(searched), d_occupant(owner)
{
	static unsigned int counter = 0;
	d_id = (++counter);

}

Ruin::Ruin(const Ruin& ruin)
	:Location(ruin.get_name(), ruin.get_pos()),
	d_searched(ruin.d_searched), d_occupant(ruin.d_occupant), d_id(ruin.d_id)
{
}

Ruin::~Ruin()
{
	if (d_occupant)
		delete d_occupant;
}

// End of file
