//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef ARMYINFO_H
#define ARMYINFO_H

#include <pgeventobject.h>
#include <pgthemewidget.h>

class Army;
class PG_Label;

// ArmyInfo is a togglebutton with a drawing of an army, hitpointbar and moves

class ArmyInfo : public PG_EventObject, public PG_ThemeWidget
{
	public:
		// CREATORS
		ArmyInfo(Army* army, bool pressable, PG_Widget* parent, PG_Rect rect);
		~ArmyInfo();

		// MANIPULATORS
		static void set_pressable(ArmyInfo* armyinfo, bool pressable = true) {armyinfo->d_pressable = pressable;}

	private:
		// EVENT HANDLER
		void eventDraw(SDL_Surface* surface, const PG_Rect& rect);
		bool eventMouseButtonDown(const SDL_MouseButtonEvent* event);

		// DATA
		Army* d_army;
		bool d_pressed;
		bool d_pressable;

		// WIDGETS
		PG_Label* d_l_moves;
};

#endif // ARMYINFO_H
