//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <pgeventobject.h>
#include <pgthemewidget.h>
#include <pgmenubar.h>
#include <pgpopupmenu.h>

class GameScenario;
class W_Edit;

class MainWindow : public PG_EventObject, public PG_ThemeWidget
{
	public:
		// CREATORS
		MainWindow(GameScenario*, const PG_Rect&);
		~MainWindow();

		// MANIPULATORS
		void start_game();

		// CALLBACKS
		PARAGUI_CALLBACK(file_load);
		PARAGUI_CALLBACK(file_save);
		PARAGUI_CALLBACK(file_saveas);
		PARAGUI_CALLBACK(file_quit);
		PARAGUI_CALLBACK(reports_armies);
		PARAGUI_CALLBACK(reports_cities);
		PARAGUI_CALLBACK(reports_gold);
		PARAGUI_CALLBACK(options_smooth_map_scrolling);
		PARAGUI_CALLBACK(options_showNextPlayer);		
        PARAGUI_CALLBACK(help_help);		
		PARAGUI_CALLBACK(help_about);

	private:
		// DATA
		W_Edit* d_w_edit;
		PG_MenuBar* d_menuBar;
		PG_PopupMenu* d_fileMenu;
		PG_PopupMenu* d_reportsMenu;
		PG_PopupMenu* d_optionsMenu;
		PG_PopupMenu* d_helpMenu;
};

#endif
