//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "RuinSearchDialog.h"
#include <SDL_image.h>
#include <stdlib.h>
#include "FightDialog.h"
#include "../common/file.h"

RuinSearchDialog::RuinSearchDialog(PG_Widget* parent, int gold)
	:PG_Window(parent, PG_Rect(0, 0, 320, 340), "Entering the ruin...", WF_MODAL)
{
	MoveWindow((PG_Application::GetScreenWidth() - 320) / 2, (PG_Application::GetScreenHeight() - 340) / 2);

	SDL_Surface* bg = IMG_Load(file::get_misc_pic(string("ruin_1.png")).c_str());
	SetBackground(bg, 2);

	char buffer[100];
	sprintf(buffer, "and found %i gold pieces!", gold);
	d_l_msg1 = new PG_Label(this, PG_Rect(10, 250, 280, 20), "You defeated the beast");
	d_l_msg1->SetAlignment(PG_TA_CENTER);
	d_l_msg2 = new PG_Label(this, PG_Rect(10, 270, 280, 20), buffer);
	d_l_msg2->SetAlignment(PG_TA_CENTER);

	d_b_close = new PG_Button(this, 3, PG_Rect(20, my_height - 40, 280, 30), "Close");
	d_b_close->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&RuinSearchDialog::d_b_close_clicked);
}

RuinSearchDialog::~RuinSearchDialog()
{
	delete d_l_msg1;
	delete d_l_msg2;
}

PARAGUI_CALLBACK(RuinSearchDialog:: d_b_close_clicked)
{
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

// End of file
