//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef BIGMAP_H
#define BIGMAP_H

#include <pgeventobject.h>
#include <pgwidget.h>

// The big map views the map in a more detailed way
// It's the playing area

class BigMap : public PG_EventObject, public PG_Widget
{
	public:
		// CREATORS
		BigMap(PG_Widget* parent, PG_Rect rect);
		~BigMap();

		// MANIPULATORS
		void setViewrect(PG_Rect* viewrect){d_viewrect = viewrect;}
		void stack_selected();
		void stack_deselected();
		void stack_moved();
		void center_view(const PG_Point& p);
		void set_enable (bool enable){d_enable=enable;}
		
	private:
		// EVENT HANDLERS
		void eventDraw(SDL_Surface* surface, const PG_Rect& rect);
		bool eventMouseButtonDown(const SDL_MouseButtonEvent* event);

		// MANIPULATORS
		const PG_Point get_relative_pos(const PG_Point& absolute_pos); 

		// DATA
		bool d_enable;
		PG_Rect* d_viewrect;
		SDL_Surface* d_static_map;
		SDL_Surface* d_citypic[9];
		SDL_Surface* d_ruinpic;
		SDL_Surface* d_templepic;
		SDL_Surface* d_swordpic;
		SDL_Surface* d_selector[2];
		// (8 player + neutral player) * 8 flagssizes
		SDL_Surface* d_flagpic[9][8];	
		SDL_Surface* d_polepic;		
};

#endif // BIGMAP_H

