//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "citiesreport.h"
#include "../common/player.h"
#include "../common/pics.h"
#include "city.h"

#include <qgrid.h>
#include <qvbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qscrollview.h>

// #include <qstring.h>
// #include <stdio.h>

CitiesReport::CitiesReport (QWidget* parent, const char* name, bool modal, WFlags f) 
  :QDialog (parent, name, modal, f) 
{

  setCaption ("Cities report");

  QLabel *playerLabel;
  QLabel *cityLabel;
  QVBox* vbox = new QVBox(this);
  vbox->setMargin(10);
  vbox->setSpacing(20);

  //  QString city_info = citylist.get_info();
  // cout << "TESTING citiesreport :\n" << city_info;

  //  for(int i = 0; i < num_players; i++) {

  QScrollView* sv = new QScrollView(vbox);
  QVBox* sv_vbox = new QVBox(sv->viewport());
  sv_vbox->setSpacing(20);  
  sv->addChild(sv_vbox);

  QGrid* playerGrid = new QGrid (2, QGrid::Horizontal, sv_vbox);
  playerGrid->setMargin(5);
  playerGrid->setSpacing(5);

  playerLabel = new QLabel(activeplayer->get_name(), playerGrid);
  playerLabel->setBackgroundColor(activeplayer->get_color());
  
  int num_cities = citylist.count_cities(activeplayer);
  
  playerLabel = new QLabel(playerGrid);
  playerLabel->setNum(num_cities);

  playerGrid->adjustSize();

  int num_city_columns = 6;

  QGrid* cityGrid = new QGrid (num_city_columns, sv_vbox);
      
  cityGrid->setMargin(5);
  cityGrid->setSpacing(5);
	      
  cityLabel = new QLabel("", cityGrid);
  cityLabel = new QLabel("Level", cityGrid);
  cityLabel = new QLabel("Name", cityGrid);
  cityLabel = new QLabel("Gold", cityGrid);
  cityLabel = new QLabel("Produce", cityGrid);
  cityLabel = new QLabel("Duration", cityGrid);
  
  for (City* city = citylist.first(); city != 0; city = citylist.next()) 
    {      
      if(!city->is_burnt() && city->get_player() == activeplayer) 
	{	      	 
	  cityLabel = new QLabel(cityGrid);
	  cityLabel->setPixmap(pics->city);
	  cityLabel->setScaledContents(TRUE);
	  //	  cityLabel->size(40,40);
	  
	  cityLabel = new QLabel(cityGrid); 
	  cityLabel->setNum(city->get_defense_level());
	  
	  cityLabel = new QLabel(city->get_name(), cityGrid);
	  
	  cityLabel = new QLabel(cityGrid);
	  cityLabel->setNum(city->get_gold());
	  
	  cityLabel = new QLabel(cityGrid);
	  cityLabel->setPixmap(activeplayer->get_armyset()->army[city->get_armytype(city->get_production())]->get_pixmap());
	  
	  cityLabel = new QLabel(cityGrid);
	  cityLabel->setNum(city->get_duration());
	  
	}
      
    }
  cityGrid->adjustSize();

  sv_vbox->adjustSize();

  sv->adjustSize();

  QPushButton* button = new QPushButton ("&Ok", vbox);
  connect (button, SIGNAL (clicked()), this, SLOT (accept()));
  
  vbox->adjustSize();
  adjustSize();

}

CitiesReport::~CitiesReport()
{
}
