//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef CITYINFO_H
#define CITYINFO_H

#include <pgeventobject.h>
#include <pgwindow.h>
#include "d_buy_production.h"

class City;

class CityInfo : public PG_EventObject, public PG_Window
{ 
	public:
		// CREATORS
		CityInfo(City* city);
		~CityInfo();

		// MANIPULATORS
		void check_buttons();

		// CALLBACKS
		PARAGUI_CALLBACK(b_upgrade_clicked);
		PARAGUI_CALLBACK(b_buy_production_clicked);
		PARAGUI_CALLBACK(b_production_clicked);
		PARAGUI_CALLBACK(d_b_close_clicked);

	private:
		// MANIPULATORS
		void update_production_stats();
		int needed_gold();
		int get_empty_slot();

		// WIDGETS
		PG_Label* l_production;
		PG_Label* l_duration;
		PG_Label* l_strength;
		PG_Label* l_moves;
		PG_Label* l_upkeep;
		PG_Label* l_defense;
		PG_Button* b_no_production;
		PG_Button* b_production[4];
		PG_Button* b_upgrade;
		PG_Button* b_buy_production;
		PG_Button* d_b_close;

		// DATA
		City* d_city;
};

char* c_string(const string& s);

#endif // CITYINFO_H

