//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef D_BUY_PRODUCTION_H
#define D_BUY_PRODUCTION_H

#include <pgwindow.h>
#include <pgeventobject.h>
#include <pglabel.h>
#include <pgbutton.h>

class City;
class Armyset;

class D_Buy_Production : public PG_EventObject, public PG_Window
{ 
	public:
		// CREATORS
		D_Buy_Production(City* city, PG_Widget* parent, PG_Rect rect);
		~D_Buy_Production();

		// CALLBACKS
		PARAGUI_CALLBACK(b_buy_clicked);
		PARAGUI_CALLBACK(b_cancel_clicked);
		PARAGUI_CALLBACK(b_production_clicked);

		// ACCESSORS
		int get_chosen_army() const {return d_chosen_army;}

	private:
		// DATA
		City* d_city;
		Armyset* d_armyset;
		int d_chosen_army;
		int d_gold;
		
		// WIDGETS
		PG_Label* d_l_moves;
		PG_Label* d_l_upkeep;
		PG_Label* d_l_production;
		PG_Label* d_l_duration;
		PG_Label* d_l_strength;
		PG_Label* d_l_production_cost;
		PG_Button* d_b_production[10];
		PG_Button* d_b_buy;
		PG_Button* d_b_cancel;
};

#endif // D_BUY_PRODUCTION_H
