//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef D_CLIENT_H
#define D_CLIENT_H

#include <qdialog.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qgrid.h>

class D_Client : public QDialog
{
	Q_OBJECT

	public:
		D_Client();
		~D_Client();

	public slots:
		void b_connect_clicked();	// connect button clicked
		void client_connected();	// client connected to host
		void client_error(int);		// error while connecting to host

	private:
		// Data
		QGrid* grid;
		QLineEdit* e_host;
		QLineEdit* e_port;
		QLabel* l_status;
		QPushButton* b_connect;
		QPushButton* b_close;
};

#endif // D_CLIENT_H
