//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*

#include "d_map.h"
#include <pglabel.h>
#include <pgfilearchive.h>
#include "pgfiledialog.h"
#include "GameScenario.h"

//#define debug(x) {std::cerr<<__FILE__<<": "<<__LINE__<<": "<<x<<endl;}
#define debug(x)

D_Map::D_Map(PG_Widget* parent, PG_Rect rect)
	:PG_Window(parent, rect, "Map selection", WF_MODAL)
{
	PG_Label* l = new PG_Label(this, PG_Rect(0, 30, rect.w, 20), "Which map do you want?");
	l->SetAlignment(1);	// middle

	b_random = new PG_Button(this, 1, PG_Rect(20, 60, rect.w - 40, 30), "Random");
	b_previous = new PG_Button(this, 3, PG_Rect(20, 95, rect.w - 40, 30), "Previous");
	b_load = new PG_Button(this, 4, PG_Rect(20, 130, rect.w - 40, 30), "Load Map");

	if (!PG_FileArchive::Exists("random.map"))
	{
		b_previous->EnableReceiver(false);
	}

	b_random->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&D_Map::b_random_clicked);
	b_previous->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&D_Map::b_previous_clicked);
	b_load->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&D_Map::b_load_clicked);
}

D_Map::~D_Map()
{
}

PARAGUI_CALLBACK(D_Map::b_random_clicked)
{
	d_mapType = GameScenario::RANDOM;
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

PARAGUI_CALLBACK(D_Map::b_load_clicked)
{
	fd = new PG_FileDialog(0, PG_Rect(20, 20, 350, 250));
	fd->Show();
	fd->RunModal();
	std::string file = fd->getFilename();
	/*
	QString file_map = QFileDialog::getOpenFileName(QString::null, "Map (*.map)", 0);
	if (!file_map.isEmpty())
	{
		game_scenario->set_map_type(LOADED);
		game_scenario->set_map_file(file_map);
		accept();
	}
	*/
	return true;
}

PARAGUI_CALLBACK(D_Map::b_previous_clicked)
{
	d_mapType = GameScenario::PREVIOUS;
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

// End of file
