//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef D_MAP_H
#define D_MAP_H

#include <pgwindow.h>
#include <pgeventobject.h>
#include "GameScenario.h"

class PG_FileDialog;

class D_Map : public PG_EventObject, public PG_Window
{
	public:
		// CREATORS
		D_Map(PG_Widget* parent, PG_Rect rect);
		~D_Map();

		// CALLBACK FUNCTIONS
		PARAGUI_CALLBACK(b_random_clicked);
		PARAGUI_CALLBACK(b_load_clicked);
		PARAGUI_CALLBACK(b_previous_clicked);

		// ACCESSORS
		GameScenario::MapType getMapType(){return d_mapType;}
		

	private:
		// WIDGETS
		PG_Button* b_random;
		PG_Button* b_load;
		PG_Button* b_previous;
		PG_FileDialog* fd;

		// DATA
		GameScenario::MapType d_mapType;
};

#endif // D_MAP_H
