//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "goldreport.h"
#include <qlabel.h>
#include <qgrid.h>
#include <qvbox.h>
#include <qpushbutton.h>

GoldReport::GoldReport (QWidget* parent, const char* name, bool modal, WFlags f)
	:QDialog (parent, name, modal, f)
{
	setCaption ("Gold report");

	int num_players = playerlist.count();
	QLabel *myLabel;

	QVBox* vbox = new QVBox(this);
	vbox->setSpacing(10);
	vbox->setMargin(20);

	QGrid* grid = new QGrid (2, QGrid::Horizontal, vbox);
	grid->setMargin(5);
	grid->setSpacing(5);
	
	for (int i=0; i < num_players; i++)
	{
		myLabel = new QLabel(playerlist.at(i)->get_name(), grid);
		myLabel->setBackgroundColor(playerlist.at(i)->get_color());
		myLabel = new QLabel(grid);
		myLabel->setNum(playerlist.at(i)->get_gold());

	}

	QPushButton* button = new QPushButton ("&Ok", vbox);
	connect (button, SIGNAL (clicked()), this, SLOT (accept()));

	vbox->adjustSize();
	adjustSize();
}

GoldReport::~GoldReport()
{
}		
