//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "hero_offer.h"
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <pgbutton.h>
#include <pglineedit.h>
#include <pglabel.h>
#include "playerlist.h"
#include "citylist.h"
#include "city.h"
#include "armyset.h"
#include "player.h"

//#define debug(x) {std::cerr<<__FILE__<<": "<<__LINE__<<": "<<x<<endl;}
#define debug(x)

Hero_offer::Hero_offer(int gold, PG_Widget* parent)
	:PG_Window(parent, PG_Rect(0, 0, 320, 125), "Hero offer"),
	d_gold(gold), d_city(0)
{
	MoveWindow((PG_Application::GetScreenWidth() - 320) / 2,
			(PG_Application::GetScreenHeight() - 340) / 2);

	// first city of activeplayer
	for (Citylist::iterator it = citylist->begin();
			it != citylist->end(); it++)
	{
		if ((*it).get_player() == playerlist->get_activeplayer())
		{
			d_city = &(*it);
			break;
		}
	}

	d_gender = static_cast<GENDER> (rand() % 2);

	l_pic = new PG_Label(this, PG_Rect(10, 30, 40, 40), "");
	l_pic->SetIcon(playerlist->get_activeplayer()->get_armyset()->
			army[d_gender].get_pixmap());

	b_accept = new PG_Button(this, 1, PG_Rect(my_width - 80, my_height - 35, 70, 25), "Accept");
	b_accept->SetEventObject(MSG_BUTTONCLICK, this,
			(MSG_CALLBACK_OBJ)&Hero_offer::b_accept_clicked);

	b_reject = new PG_Button(this, 2, PG_Rect(my_width - 155, my_height - 35, 70, 25), "Reject");
	b_reject->SetEventObject(MSG_BUTTONCLICK, this,
			(MSG_CALLBACK_OBJ)&Hero_offer::b_reject_clicked);

	// generate a name depending on sex of hero
	if (d_gender == MALE) system("./hero_names.pyw 1 m");
	else system("./hero_female_names.pyw 1 f");
	
    char new_name[80];
	std::ifstream name_file("new_name");
	name_file >> new_name;
	
	e_name = new PG_LineEdit(this, PG_Rect(60, 55, my_width - 80, 25));
	e_name->SetText(new_name);

	char text[80];

        if (gold) sprintf(text, "A hero wants to join you for %i gold!", gold);
        else strcpy(text, "A hero wants to join for free!");

	l_text = new PG_Label(this, PG_Rect(60, 30, my_width - 61, 20),
			text);
}

Hero_offer::~Hero_offer()
{
	delete b_accept;
	delete b_reject;
	delete e_name;
	delete l_pic;
	delete l_text;
}

PARAGUI_CALLBACK(Hero_offer::b_accept_clicked)
{
	debug(cdbg << "b_accept_clicked()\n");

	d_city->add_hero(d_gender, e_name->GetText());
	playerlist->get_activeplayer()->withdrawGold(d_gold);

	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

PARAGUI_CALLBACK(Hero_offer::b_reject_clicked)
{
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

