//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include <stdlib.h>
#include <iostream.h>
#include "maptile.h"
#include "../common/mapset_tile.h"

Maptile::Maptile(int x, int y, int type_)
{
	type = type_;
	tile = 5;
	variation = 0;
	moves = (*mapset)[type]->get_moves();
	building = NONE;
}

Maptile::~Maptile()
{
}

void Maptile::print_debug_info()
{
	std::cerr << "MAPTILE: type = " << type << endl;
	std::cerr << "MAPTILE: tile = " << tile << endl;
	std::cerr << "MAPTILE: variation = " << variation << endl;
	std::cerr << "MAPTILE: building = " << building << endl;
}	

void Maptile::random_variation()
{
	int max_variations = (*mapset)[type]->get_max_variations(tile);
	if (max_variations > 0)
	{
		int new_variation = rand() % max_variations;
		// cerr << new_variation << endl;
		variation = new_variation;
	}
	else variation = 0;
}
