//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef MAPTILE_H
#define MAPTILE_H

#include "mapset_tile.h"

class Maptile
{
	public:
		Maptile(int x, int y, int tile_);
		~Maptile();

		enum Building {NONE, CITY, RUIN, TEMPLE};

		// Set methods
		void set_type(int type_){type = type_;}
		void set_tile(int tile_){tile = tile_;}
		void set_moves(int moves_){moves = moves_;}
		void set_building(Building building_){building = building_;}

		// Get methods
		int get_type(){return type;}
		int get_tile(){return tile;}
		int get_variation(){return variation;}
		int get_building(){return building;}
		int get_moves(){return moves;}
		SDL_Surface* get_picture(){return (*mapset)[type]->get_pixmap(tile, variation);}
		unsigned int get_maptile_type(){return (*mapset)[type]->get_type();}

		// Methods
		void show_variation(int variation_){variation = variation_;}
		void print_debug_info();
		void random_variation();
		float add_defence(float result);
				
	private:
		void load_type(int type_);

		short type;			// type (hills, swamp, grass, ...)
		short tile;			// transition
		short variation;	// variation of tile
		short moves;		// moves needed to walk over maptile
		Building building;	// which building is on this maptile
};

#endif // MAPTILE_H
