// Author: Michael Bartl
// e-mail: gnosticus@gmx.at
// Date  : 08-12-2001

#include "pgfiledialog.h"
#include "pgapplication.h"
#include "pglineedit.h"
#include "pgdropdown.h"

PG_FileDialog::PG_FileDialog(PG_Widget* parent, const PG_Rect& r)
	: PG_Window(parent, r, "FileDialog", WF_MODAL)
{
	d_e_file = new PG_LineEdit(this, PG_Rect(10, r.my_height - 60, r.my_width - 100, 25));
	d_cb_filter = new PG_DropDown(this, 0, PG_Rect(10, r.my_height - 35, r.my_width - 100, 25));
	d_b_ok = new PG_Button(this, 1, PG_Rect(r.my_width - 80, r.my_height - 60, 70, 25), "OK");
	d_b_cancel = new PG_Button(this, 2, PG_Rect(r.my_width - 80, r.my_height - 35, 70, 25), "Cancel");

        d_b_ok->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&PG_FileDialog::okClicked);
        d_b_cancel->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&PG_FileDialog::cancelClicked);
}

PG_FileDialog::~PG_FileDialog() {
}

PARAGUI_CALLBACK(PG_FileDialog::okClicked)
{
	Hide();
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

PARAGUI_CALLBACK(PG_FileDialog::cancelClicked)
{
	Hide();
	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return false;
}

// End of File
