// Author: Michael Bartl
// e-mail: gnosticus@gmx.at
// Date  : 08-12-2001

#ifndef PG_FILEDIALOG_H
#define PG_FILEDIALOG_H

#include <pgwindow.h>
#include <pgeventobject.h>
#include <string>

class PG_Button;
class PG_LineEdit;
class PG_DropDown;

class PG_FileDialog : public PG_Window, public PG_EventObject {
public:

	// CREATORS
	PG_FileDialog(PG_Widget* parent, const PG_Rect& r);
	~PG_FileDialog();

	// ACCESSORS
	const std::string getFilename(){return filename;}

private:
	// CALLBACKS
	PARAGUI_CALLBACK(okClicked);
	PARAGUI_CALLBACK(cancelClicked);

	// WIDGETS
	PG_LineEdit* d_e_file;
	PG_DropDown* d_cb_filter;
	PG_Button* d_b_ok;
	PG_Button* d_b_cancel;

	// DATA
	std::string filename;
};

#endif // PG_FILEDIALOG_H
