//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef PLAYER_PREFERENCES_H
#define PLAYER_PREFERENCES_H

#include <string>
#include <paragui.h>
#include <pgthemewidget.h>
#include <pgcheckbutton.h>
#include <pgradiobutton.h>
#include <pglineedit.h>
#include <pglistbox.h>
#include <pgdropdown.h>

class PG_Label;

class Player_preferences : public PG_ThemeWidget
{
	public:
		enum Type{HUMAN, HUMAN_OR_COMPUTER, ANY};

		// CREATORS
		Player_preferences(Type type, std::string label, char* name,
				PG_Widget* parent, PG_Rect rect);
		~Player_preferences();

		// ACCESSORS
		bool isActive(){return d_cb_active->GetPressed();}
		bool isComputer(){return d_cb_computer->GetPressed();}
		std::string get_name(){return d_e_name->GetText();}
		std::string get_armyset(){return d_cb_armyset->GetText();}

	private:
		// EVENT HANDLERS
		void eventDraw(SDL_Surface* surface, const PG_Rect& rect);

		PG_CheckButton* d_cb_active;
		PG_CheckButton* d_cb_computer;
		PG_DropDown* d_cb_armyset;
		PG_LineEdit* d_e_name;
		PG_Label* d_l_player;
		PG_Label* d_l_name;
		PG_Label* d_l_armyset;
};

#endif // PLAYER_PREFERENCES_H
