//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef SPLASH_H
#define SPLASH_H

#include <pgthemewidget.h>
#include <pgeventobject.h>

class PG_Button;
class PG_Application;
class GameScenario;
class MainWindow;

class Splash : public PG_EventObject, public PG_ThemeWidget
{
	public:
		// CREATORS
		Splash(PG_Application* app, const PG_Rect& rect);
		~Splash();
		
		// MANIPULATORS
		void newSinglePlayerGame();

		// CALLBACK FUNCTIONS
		PARAGUI_CALLBACK(b_quit_clicked);
		PARAGUI_CALLBACK(b_campaign_clicked);
		PARAGUI_CALLBACK(b_singleplayer_game_clicked);
		PARAGUI_CALLBACK(b_multiplayer_game_clicked);
		PARAGUI_CALLBACK(b_load_game_clicked);
		PARAGUI_CALLBACK(gameFinished);

	private:
		// DATA
		GameScenario* d_gameScenario;
		MainWindow* d_mainWindow;

		// WIDGETS
		PG_Application* d_app;
		PG_Button* d_b_campaign;
		PG_Button* d_b_singleplayer_game;
		PG_Button* d_b_multiplayer_game;
		PG_Button* d_b_load_game;
		PG_Button* d_b_quit;
};

#endif // SPLASH_H
