//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "startup_screen.h"
#include <assert.h>
#include "player_preferences.h"
#include "playerlist.h"

//#define debug(x) {std::cerr<<__FILE__<<": "<<__LINE__<<": "<<x<<endl;}
#define debug(x)

Startup_screen::Startup_screen(PG_Widget* parent, PG_Rect rect)
	:PG_Window(parent, rect, "Player preferences", true)
{
	char* name[] =  {"Michael", "Susi", "Bob", "Sonja", "Wolf", "Sahra", "Linus", "Alan's wife"};
	char player[20];
	int width = 240;
	int height = 100;
	int space = 5;
	for (int i = 0; i < 2; ++i)
	{
		for (int j = 0; j < 4; ++j)
		{
			sprintf(player, "Player %i", i*4+j+1);
			PG_Rect p(5 + i*(space + width), 35 + j*(space + height), width, height);
			Player_preferences::Type type = Player_preferences::ANY;
			if (!i && !j) type = Player_preferences::HUMAN;
			if (!i && j == 1) type = Player_preferences::HUMAN_OR_COMPUTER;
			d_player_preferences[i*4+j] = new Player_preferences(type, player, name[i*4+j], this, p);
		}
	}

	// create start button
	d_b_start = new PG_Button(this, 0, PG_Rect(5, Height() - 40, Width() - 10, 30), "Start");
	d_b_start->SetEventObject(MSG_BUTTONCLICK, this, (MSG_CALLBACK_OBJ)&Startup_screen::b_start_clicked);
}

Startup_screen::~Startup_screen()
{
    delete d_b_start;
    //TBD delete [] d_player_preferences;
}

PARAGUI_CALLBACK(Startup_screen::b_start_clicked)
{
	for (int i = 0; i < 8; i++)
	{
		SDL_Color color;
		switch(i)
		{
			case 0:color.r = color.g = 0; color.b = 255; break;
			case 1:color.r = 255; color.g = color.b = 0; break;
			case 2:color.r = 0; color.g = 255; color.b = 0; break;
			case 3:color.r = color.g = color.b = 190; break;
			case 4:color.r = 255; color.g = 0; color.b = 255; break;
			case 5:color.r = color.g = 255; color.b = 0; break;
			case 6:color.r = color.g = color.b = 255; break;
			case 7:color.r = color.g = color.b = 0; break;
		}
		if (d_player_preferences[i]->isActive())
		{
			Player player(d_player_preferences[i]->get_name(),
               d_player_preferences[i]->get_armyset(), color);
            if (d_player_preferences[i]->isComputer()) player.set_computer(true);
			playerlist->push_back(player);
		}
	}

	SendMessage(this, MSG_MODALQUIT, 0, 0);
	return true;
}

// End of file
