//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef W_EDIT_H
#define W_EDIT_H

#include <pgeventobject.h>
#include <pgwidget.h>

class PG_Label;
class PG_Button;
class GameScenario;
class BigMap;
class SmallMap;
class Stackinfo;

class W_Edit : public PG_EventObject, public PG_Widget
{
	public:
		// CREATORS
		W_Edit(GameScenario* gameScenario, PG_Widget* parent,
				PG_Rect rect);
		~W_Edit();

		// MANIPULATORS
		void start_game();

		PARAGUI_CALLBACK(b_next_clicked);
		PARAGUI_CALLBACK(b_defend_clicked);
		PARAGUI_CALLBACK(b_move_clicked);
		PARAGUI_CALLBACK(b_search_clicked);
		PARAGUI_CALLBACK(b_next_turn_clicked);
		PARAGUI_CALLBACK(b_defend_and_next_clicked);
		PARAGUI_CALLBACK(use_turninfo);
		PARAGUI_CALLBACK(stacklist_stack_moved);
		PARAGUI_CALLBACK(stacklist_stack_died);
		PARAGUI_CALLBACK(stacklist_stack_redraw);
		PARAGUI_CALLBACK(bigmap_stack_selected);
		PARAGUI_CALLBACK(city_occupied);
		PARAGUI_CALLBACK(bigmap_redraw);
		PARAGUI_CALLBACK(smallmap_redraw);
		PARAGUI_CALLBACK(next_turn);
		PARAGUI_CALLBACK(lock_screen);
		PARAGUI_CALLBACK(unlock_screen);
		
	private:
		void display_first_city();
		void picture_next_player();
		void hero_joins(bool free);
		void check_buttons();
		void update_status();

		// Data
		GameScenario* d_gameScenario;
		BigMap* d_bigmap;
		SmallMap* d_smallmap;
		Stackinfo* d_stackinfo;
		PG_Label* l_waiting;
		PG_Label* l_turns;
		PG_Label* l_gold;
		SDL_Surface* d_pic_nextTurn;
		SDL_Surface* d_pic_next;
		SDL_Surface* d_pic_defend;
		SDL_Surface* d_pic_move;
		SDL_Surface* d_pic_search;
		SDL_Surface* d_pic_defendAndNext;
		SDL_Surface* d_pic_next_nonactive;
		SDL_Surface* d_pic_defend_nonactive;
		SDL_Surface* d_pic_move_nonactive;
		SDL_Surface* d_pic_search_nonactive;
		SDL_Surface* d_pic_defendAndNext_nonactive;
        PG_Button* b_next_turn;
		PG_Button* b_next;
		PG_Button* b_defend;
		PG_Button* b_move;
		PG_Button* b_search;
		PG_Button* b_defend_and_next;
		bool all_defending;
		bool d_lock;
};

#endif // W_EDIT_H


